Subject: Re: cygwin 1.5.12-1, g++ 3.3.3 and DB2 UDB DLLs
From: "Gerrit P. Haase" <[email-masked]>
To: Lange Torsten <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 20 Dec 2004 23:47:18 +0100

Lange Torsten wrote:

> Hi,
> 
> I've got a problem using embedded SQL with cygwin 1.5.12-1, g++ (GCC) 3.3.3
> (cygwin special) and DB2 UDB 8.1.4. My platform is Windows NT 4 SP 6.
> Preprocessing the embedded SQL-code works and I am able to compile the
> generated code and link the program with db2api.lib! (I thought that I have
> to build a Cygwin compatible import library via nm and dlltool, but
> db2app.dll, db2sys.dll, db2wint.dll and the others are stripped - so I tried
> the original import library.)

Does this make a difference if a DLL is stripped or not?  I am not aware
of this.  Have you actually tried to create import libs?

>   gcc -m32 -O0 -ggdb -g3 -Wall -c -obuild/cpp/compiledir/debug/Test.o
> Test.cpp
> 
>   g++ -obuild/cpp/compiledir/debug/Test.exe
> build/cpp/compiledir/debug/Test.o  
>   -Le:/Programme/SQLLIB/lib -ldb2api -Le:/Programme/SQLLIB/lib -ldb2cli
> 
> Program execution results in a core dump: 
[...]
> Are there any additional parameter for compiling/linking or is there another
> way to create the Cygwin compatible import libs?

Have you tried to link against the DLL directly?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/